var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_about_the_3ds_max_python_api_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>About Python in 3ds Max</h1></div><p>3ds Max supports the development of Python-based tools and extensions so it can be customized and integrated into modern digital content creation pipelines. To enable this, 3ds Max integrates the Python  3.7 interpreter, and exposes 3ds Max&#39;s rich functionality through the pymxs API. In addition, user interfaces for Python-based tools can be created using the included PySide2 framework.</p>\n\
<h2 id=\"python-3\">Python 3</h2><p>3ds Max includes a standard version of Python 3.7, located under <em>[3ds Max Install]\\Python37</em>.  You can use standard, pre-compiled extension libraries with this version of Python.  </p>\n\
<h2 id=\"python-2\">Python 2</h2><p>Python 2 was declared end of life on January 1, 2020, and is no longer supported.  It is no longer available as an interpreter option in 3ds Max 2022.  </p>\n\
<h2 id=\"pyside2\">Pyside2</h2><p>A pre-compiled version of PySide2 (also known as &quot;Qt For Python&quot;) is installed with 3ds Max, and this is the preferred method for building UIs with Python.  See <a href=\"creating_python_uis.html\">Creating Python UIs</a> for more information.</p>\n\
<h2 id=\"3ds-max-python-api\">3ds Max Python API</h2><p>3ds Max offers the pymxs API, a Python wrapper for MAXScript, to help you to extend and customize 3ds Max, and more easily integrate it into a Python-based pipeline.</p>\n\
<p>The pymxs module contains a runtime member that provides access to the interfaces, functions, structures, objects, properties, and variables in the MAXScript environment, whether they are built in or defined by the user. This guide contains some examples of how to translate between MAXScript syntax and Python, but for a comprehensive list of everything available, see the MAXScript Help.  For more information about pymxs see <a href=\"using_pymxs.html\">Using pymxs</a>.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> As of 3ds Max 2022, MaxPlus is no longer included as a Python API for 3ds Max.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";