var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_executing_python_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Executing Python in 3ds Max</h1></div><p>There are many ways to execute Python scripts and commands in 3ds Max.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> As of <strong>3ds Max 2022.2 Update</strong>, the Python interpreter runs with the &quot;-E&quot; switch, meaning it ignores all PYTHON* environment variables (such as <code>PYTHONPATH</code> and <code>PYTHONHOME</code>) that might be set.</p>\n\
\n\
</div></div>\n\
\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#executing-python-in-the-maxscript-editor-and-listener\">Executing Python in the MAXScript Editor and Listener</a></li>\n\
<li><a href=\"#executing-python-scripts-from-the-command-line\">Executing Python scripts from the command line</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<h2 id=\"executing-python-in-the-maxscript-editor-and-listener\">Executing Python in the MAXScript Editor and Listener</h2><p>You can write and execute Python scripts in the MAXScript Editor, and run Python commands in the Max Listener window.</p>\n\
<p>The MAXScript Editor supports Python language syntax highlighting and code completion for imported libraries. By default, the MAXScript Editor is set to MAXScript syntax when it first opens. Select Language &gt; Python to change this to Python.</p>\n\
<p>Code completion is invoked when you type a symbol and dot, or can be force-invoked by pressing <em>Ctrl+Space</em>.</p>\n\
<p><img src=\"images/GUID-531582F1-98D8-410B-A529-B8D06105225D-low.png\" alt></p>\n\
<p>Python scripts can be evaluated from the Editor using Tools &gt; Evaluate All (Ctrl+E), and a single line can be executed using Tools &gt; Evaluate Line / Selection (Shift+Enter). Note, to execute multi-line code blocks, select the block before executing this command.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   <strong></strong> Some special attributes (specifically <code>__name__</code>) and source code encoding declarations (<code>\\# -*- coding: &lt;encoding name&gt; -*-</code>, defined in PEP 0263) cannot be handled when a script is executed directly from the MAXScript Editor (using <em>Tools &gt; Evaluate All</em>, Ctrl+E) or in the MAXScript Listener. Scripts that use these must be run from the <em>Scripting &gt; Run Script...</em> command to execute properly. The <em>Run Script</em> command runs the file directly in the Python interpreter, while the <em>Evaluate</em> command runs the contents of the file.</p>\n\
\n\
</div></div>\n\
\n\
<p>You can edit one or more scripts side-by-side by dragging the document tab, and selecting &quot;Clone to another view&quot; or &quot;Move to another view&quot;. This can be useful when editing very long scripts or comparing two scripts.</p>\n\
<p>For more information about the MAXScript Editor&apos;s use and features, see Basics &gt; Interface Overview &gt; MAXScript Interface in the 3ds Max Help.</p>\n\
<p>The MAXScript Listener can execute single and multi-line Python commands when in Python mode. Python mode is indicated by a command-line starting with three brackets: &gt;&gt;&gt;. To switch to Python mode, select the Python radio button, or enter three angle brackets and a space. To execute a command, type the command and press Enter to type more lines, or Ctrl+Enter to execute the code.</p>\n\
<p>The MAXScript Mini Listener can execute a single line Python command when the Listener is in Python mode. Commands are executed by pressing Enter.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> As of <strong>3ds Max 2022.2 Update</strong>, you can also execute .pyc (bytecode compiled) files from the command line, or using 3ds Max Batch.  However, distributing code as .pyc is not generally recommended because it is then tied to the specific Python interpreter version that compiled it (meaning the code would break in future versions of 3ds Max that use a different version of Python).  Using .pyc files is also not a very effective way to obfuscate Python code, as it can easily be decompiled.  </p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"executing-python-scripts-from-the-command-line\">Executing Python scripts from the command line</h2><p>To execute a .py script from the command line:</p>\n\
<ol>\n\
<li>Open a Command Prompt window.</li>\n\
<li>Navigate to your 3ds Max root directory, if this directory is not in your PATH statement.</li>\n\
<li>Type <em>3dsmax</em> to start 3ds Max and add the <code>-U PythonHost</code> command line switch, for example as follows:<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">3dsmax -U PythonHost demoBentCylinder.py</code></pre></li>\n\
</ol>\n\
<p>You can also execute Python scripts using 3ds Max Batch: <code>3dsmaxbatch.exe &lt;script_file&gt; [options]</code>.  See the &quot;Using 3ds Max Batch&quot; topic in the 3ds Max Help for more information.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> See <a href=\"executing_python/executing_python_from_maxscript.html\">Executing Python from MAXScript</a> for a list of directories under which 3ds Max will look for the <code>.py</code> file.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"executing_python/executing_python_from_maxscript.html\">Executing Python from MAXScript</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";