var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_notification_codes_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Notification Codes</h1></div><p>This topic summarizes the correspondence between notification codes defined in <code>MaxPlus::NotificationCodes</code> and those in <code>pymxs.runtime.callbacks</code>.  This information is useful for translating scripts from one approach to the other.  Some events have similar or identical names, but others are not obvious (such as ScenePreDeletedNode vs nodePreDelete).</p>\n\
<p>For more information about the <code>pymxs.runtime.callbacks</code> event types and how to use them, see the &#39;General Event Callback Mechanism&#39; topic in the <em>MAXScript Help</em>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MaxPlus</th>\n\
<th></th>\n\
<th>MAXScript Event Name</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>UnitsChange</td>\n\
<td>1</td>\n\
<td>unitsChange</td>\n\
</tr>\n\
<tr>\n\
<td>TimeunitsChange</td>\n\
<td>2</td>\n\
<td>timeunitsChange</td>\n\
</tr>\n\
<tr>\n\
<td>ViewportChange</td>\n\
<td>3</td>\n\
<td>viewportChange</td>\n\
</tr>\n\
<tr>\n\
<td>SpacemodeChange</td>\n\
<td>4</td>\n\
<td>spacemodeChange</td>\n\
</tr>\n\
<tr>\n\
<td>SystemPreReset</td>\n\
<td>5</td>\n\
<td>systemPreReset</td>\n\
</tr>\n\
<tr>\n\
<td>SystemPostReset</td>\n\
<td>6</td>\n\
<td>systemPostReset</td>\n\
</tr>\n\
<tr>\n\
<td>SystemPreNew</td>\n\
<td>7</td>\n\
<td>systemPreNew</td>\n\
</tr>\n\
<tr>\n\
<td>SystemPostNew</td>\n\
<td>8</td>\n\
<td>systemPostNew</td>\n\
</tr>\n\
<tr>\n\
<td>FilePreOpen</td>\n\
<td>9</td>\n\
<td>filePreOpen</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostOpen</td>\n\
<td>10</td>\n\
<td>filePostOpen</td>\n\
</tr>\n\
<tr>\n\
<td>FilePreMerge</td>\n\
<td>11</td>\n\
<td>filePreMerge</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostMerge</td>\n\
<td>12</td>\n\
<td>filePostMerge</td>\n\
</tr>\n\
<tr>\n\
<td>FilePreSave</td>\n\
<td>13</td>\n\
<td>filePreSave</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostSave</td>\n\
<td>14</td>\n\
<td>filePostSave</td>\n\
</tr>\n\
<tr>\n\
<td>FileOpenFailed</td>\n\
<td>15</td>\n\
<td>fileOpenFailed</td>\n\
</tr>\n\
<tr>\n\
<td>FilePreSaveOld</td>\n\
<td>16</td>\n\
<td>filePreSaveOld</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostSaveOld</td>\n\
<td>17</td>\n\
<td>filePostSaveOld</td>\n\
</tr>\n\
<tr>\n\
<td>SelectionsetChanged</td>\n\
<td>18</td>\n\
<td>selectionSetChanged</td>\n\
</tr>\n\
<tr>\n\
<td>BitmapChanged</td>\n\
<td>19</td>\n\
<td>bitmapChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreRender</td>\n\
<td>20</td>\n\
<td>preRender</td>\n\
</tr>\n\
<tr>\n\
<td>PostRender</td>\n\
<td>21</td>\n\
<td>postRender</td>\n\
</tr>\n\
<tr>\n\
<td>PreRenderframe</td>\n\
<td>22</td>\n\
<td>preRenderFrame</td>\n\
</tr>\n\
<tr>\n\
<td>PostRenderframe</td>\n\
<td>23</td>\n\
<td>postRenderFrame</td>\n\
</tr>\n\
<tr>\n\
<td>PreImport</td>\n\
<td>24</td>\n\
<td>preImport</td>\n\
</tr>\n\
<tr>\n\
<td>PostImport</td>\n\
<td>25</td>\n\
<td>postImport</td>\n\
</tr>\n\
<tr>\n\
<td>ImportFailed</td>\n\
<td>26</td>\n\
<td>importFailed</td>\n\
</tr>\n\
<tr>\n\
<td>PreExport</td>\n\
<td>27</td>\n\
<td>preExport</td>\n\
</tr>\n\
<tr>\n\
<td>PostExport</td>\n\
<td>28</td>\n\
<td>postExport</td>\n\
</tr>\n\
<tr>\n\
<td>ExportFailed</td>\n\
<td>29</td>\n\
<td>exportFailed</td>\n\
</tr>\n\
<tr>\n\
<td>NodeRenamed</td>\n\
<td>30</td>\n\
<td>nodeRenamed</td>\n\
</tr>\n\
<tr>\n\
<td>PreProgress</td>\n\
<td>31</td>\n\
<td>preProgress</td>\n\
</tr>\n\
<tr>\n\
<td>PostProgress</td>\n\
<td>32</td>\n\
<td>postProgress</td>\n\
</tr>\n\
<tr>\n\
<td>ModpanelSelChanged</td>\n\
<td>33</td>\n\
<td>modPanelSelChanged</td>\n\
</tr>\n\
<tr>\n\
<td>RendparamChanged</td>\n\
<td>35</td>\n\
<td>renderParamsChanged</td>\n\
</tr>\n\
<tr>\n\
<td>MatlibPreOpen</td>\n\
<td>36</td>\n\
<td>mtlLibPreOpen /  matLibPreOpen</td>\n\
</tr>\n\
<tr>\n\
<td>MatlibPostOpen</td>\n\
<td>37</td>\n\
<td>mtlLibPostOpen  /  matLibPostOpen</td>\n\
</tr>\n\
<tr>\n\
<td>MatlibPreSave</td>\n\
<td>38</td>\n\
<td>mtlLibPreSave  /  matLibPreSave</td>\n\
</tr>\n\
<tr>\n\
<td>MatlibPostSave</td>\n\
<td>39</td>\n\
<td>mtlLibPostSave  /  matLibPostSave</td>\n\
</tr>\n\
<tr>\n\
<td>MatlibPreMerge</td>\n\
<td>40</td>\n\
<td>mtlLibPreMerge  / matLibPreMerge</td>\n\
</tr>\n\
<tr>\n\
<td>MatlibPostMerge</td>\n\
<td>41</td>\n\
<td>mtlLibPostMerge  / matLibPostMerge</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkBindFailed</td>\n\
<td>42</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkDetachFailed</td>\n\
<td>43</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkReloadFailed</td>\n\
<td>44</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkAttachFailed</td>\n\
<td>45</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPreBind</td>\n\
<td>48</td>\n\
<td>fileLinkPreBind</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPostBind</td>\n\
<td>49</td>\n\
<td>fileLinkPostBind</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPreDetach</td>\n\
<td>50</td>\n\
<td>fileLinkPreDetatch</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPostDetach</td>\n\
<td>51</td>\n\
<td>fileLinkPostDetatch</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPreReload</td>\n\
<td>52</td>\n\
<td>fileLinkPreReload</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPostReload</td>\n\
<td>53</td>\n\
<td>fileLinkPostReload</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPreAttach</td>\n\
<td>54</td>\n\
<td>fileLinkPreAttach</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPostAttach</td>\n\
<td>55</td>\n\
<td>fileLinkPostAttach</td>\n\
</tr>\n\
<tr>\n\
<td>RenderPreeval</td>\n\
<td>57</td>\n\
<td>preRenderEval</td>\n\
</tr>\n\
<tr>\n\
<td>NodeCreated</td>\n\
<td>58</td>\n\
<td>nodeCreated</td>\n\
</tr>\n\
<tr>\n\
<td>NodeLinked</td>\n\
<td>59</td>\n\
<td>nodeLinked</td>\n\
</tr>\n\
<tr>\n\
<td>NodeUnlinked</td>\n\
<td>60</td>\n\
<td>nodeUnlinked</td>\n\
</tr>\n\
<tr>\n\
<td>NodeHide</td>\n\
<td>61</td>\n\
<td>nodeHide</td>\n\
</tr>\n\
<tr>\n\
<td>NodeUnhide</td>\n\
<td>62</td>\n\
<td>nodeUnhide</td>\n\
</tr>\n\
<tr>\n\
<td>NodeFreeze</td>\n\
<td>63</td>\n\
<td>nodeFreeze</td>\n\
</tr>\n\
<tr>\n\
<td>NodeUnfreeze</td>\n\
<td>64</td>\n\
<td>nodeUnfreeze</td>\n\
</tr>\n\
<tr>\n\
<td>NodePreMtl</td>\n\
<td>65</td>\n\
<td>nodePreMaterial</td>\n\
</tr>\n\
<tr>\n\
<td>NodePostMtl</td>\n\
<td>66</td>\n\
<td>nodePostMaterial</td>\n\
</tr>\n\
<tr>\n\
<td>SceneAddedNode</td>\n\
<td>67</td>\n\
<td>sceneNodeAdded</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePreDeletedNode</td>\n\
<td>68</td>\n\
<td>nodePreDelete</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePostDeletedNode</td>\n\
<td>69</td>\n\
<td>nodePostDelete</td>\n\
</tr>\n\
<tr>\n\
<td>SelNodesPreDelete</td>\n\
<td>70</td>\n\
<td>selectedNodesPreDelete / selNodesPreDelete</td>\n\
</tr>\n\
<tr>\n\
<td>SelNodesPostDelete</td>\n\
<td>71</td>\n\
<td>selectedNodesPostDelete / selNodesPostDelete</td>\n\
</tr>\n\
<tr>\n\
<td>WmEnable</td>\n\
<td>72</td>\n\
<td>mainWindowEnabled / wmEnable</td>\n\
</tr>\n\
<tr>\n\
<td>SystemShutdown</td>\n\
<td>73</td>\n\
<td>preSystemShutdown</td>\n\
</tr>\n\
<tr>\n\
<td>SystemStartup</td>\n\
<td>80</td>\n\
<td>postSystemStartup</td>\n\
</tr>\n\
<tr>\n\
<td>PluginLoaded</td>\n\
<td>81</td>\n\
<td>pluginLoaded</td>\n\
</tr>\n\
<tr>\n\
<td>SystemShutdown2</td>\n\
<td>82</td>\n\
<td>postSystemShutdown</td>\n\
</tr>\n\
<tr>\n\
<td>AnimateOn</td>\n\
<td>83</td>\n\
<td>animateOn</td>\n\
</tr>\n\
<tr>\n\
<td>AnimateOff</td>\n\
<td>84</td>\n\
<td>animateOff</td>\n\
</tr>\n\
<tr>\n\
<td>ColorChange</td>\n\
<td>85</td>\n\
<td>colorChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreEditObjChange</td>\n\
<td>86</td>\n\
<td>modPanelObjPreChange</td>\n\
</tr>\n\
<tr>\n\
<td>PostEditObjChange</td>\n\
<td>87</td>\n\
<td>modPanelObjPostChange</td>\n\
</tr>\n\
<tr>\n\
<td>RadiosityprocessStarted</td>\n\
<td>88</td>\n\
<td>radiosityProcessStart</td>\n\
</tr>\n\
<tr>\n\
<td>RadiosityprocessStopped</td>\n\
<td>89</td>\n\
<td>radiosityProcessStopped</td>\n\
</tr>\n\
<tr>\n\
<td>RadiosityprocessReset</td>\n\
<td>90</td>\n\
<td>radiosityProcessReset</td>\n\
</tr>\n\
<tr>\n\
<td>RadiosityprocessDone</td>\n\
<td>91</td>\n\
<td>radiosityProcessDone</td>\n\
</tr>\n\
<tr>\n\
<td>LightingUnitDisplaySystemChange</td>\n\
<td>92</td>\n\
<td>lightingUnitDisplaySystemChange</td>\n\
</tr>\n\
<tr>\n\
<td>BeginRenderingReflectRefractMap</td>\n\
<td>93</td>\n\
<td>beginRenderingReflectRefractMap</td>\n\
</tr>\n\
<tr>\n\
<td>BeginRenderingActualFrame</td>\n\
<td>94</td>\n\
<td>beginRenderingActualFrame</td>\n\
</tr>\n\
<tr>\n\
<td>BeginRenderingTonemappingImage</td>\n\
<td>95</td>\n\
<td>beginRenderingTonemappingImage</td>\n\
</tr>\n\
<tr>\n\
<td>RadiosityPluginChanged</td>\n\
<td>96</td>\n\
<td>radiosityPluginChanged</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePostUndo</td>\n\
<td>97</td>\n\
<td>sceneUndo</td>\n\
</tr>\n\
<tr>\n\
<td>SceneUndo</td>\n\
<td>97</td>\n\
<td>sceneUndo</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePostRedo</td>\n\
<td>98</td>\n\
<td>sceneRedo</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePostRefo</td>\n\
<td>98</td>\n\
<td>sceneRedo</td>\n\
</tr>\n\
<tr>\n\
<td>SceneRedo</td>\n\
<td>98</td>\n\
<td>sceneRedo</td>\n\
</tr>\n\
<tr>\n\
<td>ManipulateModeOff</td>\n\
<td>99</td>\n\
<td>manipulateModeOff</td>\n\
</tr>\n\
<tr>\n\
<td>ManipulateModeOn</td>\n\
<td>100</td>\n\
<td>manipulateModeOn</td>\n\
</tr>\n\
<tr>\n\
<td>SceneXrefPreMerge</td>\n\
<td>101</td>\n\
<td>sceneXrefPreMerge</td>\n\
</tr>\n\
<tr>\n\
<td>SceneXrefPostMerge</td>\n\
<td>102</td>\n\
<td>sceneXrefPostMerge</td>\n\
</tr>\n\
<tr>\n\
<td>ObjectXrefPreMerge</td>\n\
<td>103</td>\n\
<td>objectXrefPreMerge</td>\n\
</tr>\n\
<tr>\n\
<td>ObjectXrefPostMerge</td>\n\
<td>104</td>\n\
<td>objectXrefPostMerge</td>\n\
</tr>\n\
<tr>\n\
<td>PreMirrorNodes</td>\n\
<td>105</td>\n\
<td>preMirrorNodes</td>\n\
</tr>\n\
<tr>\n\
<td>PostMirrorNodes</td>\n\
<td>106</td>\n\
<td>postMirrorNodes</td>\n\
</tr>\n\
<tr>\n\
<td>NodeCloned</td>\n\
<td>107</td>\n\
<td>nodeCloned</td>\n\
</tr>\n\
<tr>\n\
<td>PreNotifydependents</td>\n\
<td>108</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PostNotifydependents</td>\n\
<td>109</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>MtlRefadded</td>\n\
<td>110</td>\n\
<td>mtlRefAdded</td>\n\
</tr>\n\
<tr>\n\
<td>MtlRefdeleted</td>\n\
<td>111</td>\n\
<td>mtlRefDeleted</td>\n\
</tr>\n\
<tr>\n\
<td>TimerangeChange</td>\n\
<td>112</td>\n\
<td>animationRangeChange</td>\n\
</tr>\n\
<tr>\n\
<td>PreModifierAdded</td>\n\
<td>113</td>\n\
<td>preModifierAdded</td>\n\
</tr>\n\
<tr>\n\
<td>PostModifierAdded</td>\n\
<td>114</td>\n\
<td>postModifierAdded</td>\n\
</tr>\n\
<tr>\n\
<td>PreModifierDeleted</td>\n\
<td>115</td>\n\
<td>preModifierDeleted</td>\n\
</tr>\n\
<tr>\n\
<td>PostModifierDeleted</td>\n\
<td>116</td>\n\
<td>postModifierDeleted</td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeGeneralPropChanged</td>\n\
<td>117</td>\n\
<td>preNodeGeneralPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeGeneralPropChanged</td>\n\
<td>118</td>\n\
<td>postNodeGeneralPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeGiPropChanged</td>\n\
<td>119</td>\n\
<td>preNodeGiPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeGiPropChanged</td>\n\
<td>120</td>\n\
<td>postNodeGiPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeMentalrayPropChanged</td>\n\
<td>121</td>\n\
<td>preNodeMentalrayPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeMentalrayPropChanged</td>\n\
<td>128</td>\n\
<td>postNodeMentalrayPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeBonePropChanged</td>\n\
<td>129</td>\n\
<td>preNodeBonePropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeBonePropChanged</td>\n\
<td>130</td>\n\
<td>postNodeBonePropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeUserPropChanged</td>\n\
<td>131</td>\n\
<td>preNodeUserPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeUserPropChanged</td>\n\
<td>132</td>\n\
<td>postNodeUserPropChanged</td>\n\
</tr>\n\
<tr>\n\
<td>FilelinkPostReloadPrePrune</td>\n\
<td>133</td>\n\
<td>filelinkPostReloadPrePrune</td>\n\
</tr>\n\
<tr>\n\
<td>PreNodesCloned</td>\n\
<td>134</td>\n\
<td>preNodesCloned</td>\n\
</tr>\n\
<tr>\n\
<td>PostNodesCloned</td>\n\
<td>135</td>\n\
<td>postNodesCloned</td>\n\
</tr>\n\
<tr>\n\
<td>SystemPreDirChange</td>\n\
<td>137</td>\n\
<td>systemPreDirChange</td>\n\
</tr>\n\
<tr>\n\
<td>SystemPostDirChange</td>\n\
<td>138</td>\n\
<td>systemPostDirChange</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostOpenProcess</td>\n\
<td>139</td>\n\
<td>filePostOpenProcess</td>\n\
</tr>\n\
<tr>\n\
<td>SvSelectionsetChanged</td>\n\
<td>140</td>\n\
<td>svSelectionSetChanged</td>\n\
</tr>\n\
<tr>\n\
<td>SvDoubleclickGraphnode</td>\n\
<td>141</td>\n\
<td>svDoubleClickGraphNode</td>\n\
</tr>\n\
<tr>\n\
<td>PreRendererChange</td>\n\
<td>142</td>\n\
<td>preRendererChange</td>\n\
</tr>\n\
<tr>\n\
<td>PostRendererChange</td>\n\
<td>143</td>\n\
<td>postRendererChange</td>\n\
</tr>\n\
<tr>\n\
<td>SvPreLayoutChange</td>\n\
<td>144</td>\n\
<td>svPreLayoutChange</td>\n\
</tr>\n\
<tr>\n\
<td>SvPostLayoutChange</td>\n\
<td>145</td>\n\
<td>svPostLayoutChange</td>\n\
</tr>\n\
<tr>\n\
<td>ByCategoryDisplayFilterChanged</td>\n\
<td>146</td>\n\
<td>byCategoryDisplayFilterChanged</td>\n\
</tr>\n\
<tr>\n\
<td>CustomDisplayFilterChanged</td>\n\
<td>147</td>\n\
<td>customDisplayFilterChanged</td>\n\
</tr>\n\
<tr>\n\
<td>LayerCreated</td>\n\
<td>148</td>\n\
<td>layerCreated</td>\n\
</tr>\n\
<tr>\n\
<td>LayerDeleted</td>\n\
<td>149</td>\n\
<td>layerDeleted</td>\n\
</tr>\n\
<tr>\n\
<td>NodeLayerChanged</td>\n\
<td>150</td>\n\
<td>nodeLayerChanged</td>\n\
</tr>\n\
<tr>\n\
<td>TabbedDialogCreated</td>\n\
<td>151</td>\n\
<td>tabbedDialogCreated</td>\n\
</tr>\n\
<tr>\n\
<td>TabbedDialogDeleted</td>\n\
<td>152</td>\n\
<td>tabbedDialogDeleted</td>\n\
</tr>\n\
<tr>\n\
<td>NodeNameSet</td>\n\
<td>153</td>\n\
<td>nodeNameSet</td>\n\
</tr>\n\
<tr>\n\
<td>HwTextureChanged</td>\n\
<td>154</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>MxsStartup</td>\n\
<td>155</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>MxsPostStartup</td>\n\
<td>156</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemHotKeyPreExec</td>\n\
<td>157</td>\n\
<td>actionItemHotkeyPreExecute</td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemHotKeyPostExec</td>\n\
<td>158</td>\n\
<td>actionItemHotKeyPostExecute</td>\n\
</tr>\n\
<tr>\n\
<td>ScenestatePreSave</td>\n\
<td>159</td>\n\
<td>preSceneStateSave</td>\n\
</tr>\n\
<tr>\n\
<td>ScenestatePostSave</td>\n\
<td>160</td>\n\
<td>postSceneStateSave</td>\n\
</tr>\n\
<tr>\n\
<td>ScenestatePreRestore</td>\n\
<td>161</td>\n\
<td>preSceneStateRestore</td>\n\
</tr>\n\
<tr>\n\
<td>ScenestatePostRestore</td>\n\
<td>162</td>\n\
<td>postSceneStateRestore</td>\n\
</tr>\n\
<tr>\n\
<td>ScenestateDelete</td>\n\
<td>163</td>\n\
<td>sceneStateDelete</td>\n\
</tr>\n\
<tr>\n\
<td>ScenestateRename</td>\n\
<td>164</td>\n\
<td>sceneStateRename</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePreUndo</td>\n\
<td>165</td>\n\
<td>preSceneUndo</td>\n\
</tr>\n\
<tr>\n\
<td>ScenePreRedo</td>\n\
<td>166</td>\n\
<td>preSceneRedo</td>\n\
</tr>\n\
<tr>\n\
<td>MxsShutdown</td>\n\
<td>167</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>D3dPreDeviceReset</td>\n\
<td>168</td>\n\
<td>D3DPreDeviceReset</td>\n\
</tr>\n\
<tr>\n\
<td>D3dPostDeviceReset</td>\n\
<td>169</td>\n\
<td>D3DPostDeviceReset</td>\n\
</tr>\n\
<tr>\n\
<td>ToolpaletteMtlSuspend</td>\n\
<td>170</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ToolpaletteMtlResume</td>\n\
<td>171</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ClassdescReplaced</td>\n\
<td>172</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>FilePreOpenProcess</td>\n\
<td>173</td>\n\
<td>filePreOpenProcess</td>\n\
</tr>\n\
<tr>\n\
<td>FilePreSaveProcess</td>\n\
<td>174</td>\n\
<td>filePreSaveProcess</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostSaveProcess</td>\n\
<td>175</td>\n\
<td>filePostSaveProcess</td>\n\
</tr>\n\
<tr>\n\
<td>ClassdescLoaded</td>\n\
<td>176</td>\n\
<td>classDescLoaded</td>\n\
</tr>\n\
<tr>\n\
<td>ToolbarsPreLoad</td>\n\
<td>177</td>\n\
<td>preLoadingCuiToolbars</td>\n\
</tr>\n\
<tr>\n\
<td>ToolbarsPostLoad</td>\n\
<td>178</td>\n\
<td>postLoadingCuiToolbars</td>\n\
</tr>\n\
<tr>\n\
<td>AtsPreRepathPhase</td>\n\
<td>179</td>\n\
<td>atsPreRepathPhase</td>\n\
</tr>\n\
<tr>\n\
<td>AtsPostRepathPhase</td>\n\
<td>180</td>\n\
<td>atsPostRepathPhase</td>\n\
</tr>\n\
<tr>\n\
<td>ProxyTemporaryDisableStart</td>\n\
<td>181</td>\n\
<td>proxyTempDisableStart</td>\n\
</tr>\n\
<tr>\n\
<td>ProxyTemporaryDisableEnd</td>\n\
<td>182</td>\n\
<td>proxyTempDisableEnd</td>\n\
</tr>\n\
<tr>\n\
<td>FileCheckStatus</td>\n\
<td>183</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>NamedSelSetCreated</td>\n\
<td>184</td>\n\
<td>NamedSelSetCreated</td>\n\
</tr>\n\
<tr>\n\
<td>NamedSelSetDeleted</td>\n\
<td>185</td>\n\
<td>NamedSelSetDeleted</td>\n\
</tr>\n\
<tr>\n\
<td>ModpanelSubobjectlevelChanged</td>\n\
<td>186</td>\n\
<td>ModPanelSubObjectLevelChanged</td>\n\
</tr>\n\
<tr>\n\
<td>FailedDirectxMaterialTextureLoad</td>\n\
<td>187</td>\n\
<td>FailedDirectXMaterialTextureLoad</td>\n\
</tr>\n\
<tr>\n\
<td>NamedSelSetRenamed</td>\n\
<td>188</td>\n\
<td>NamedSelSetRenamed</td>\n\
</tr>\n\
<tr>\n\
<td>RenderPreevalFrameinfo</td>\n\
<td>188</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PostSceneReset</td>\n\
<td>189</td>\n\
<td>postSceneReset</td>\n\
</tr>\n\
<tr>\n\
<td>AnimLayersEnabled</td>\n\
<td>190</td>\n\
<td>animLayersEnabled</td>\n\
</tr>\n\
<tr>\n\
<td>AnimLayersDisabled</td>\n\
<td>191</td>\n\
<td>animLayersDisabled</td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemPreStartOverride</td>\n\
<td>192</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemPostStartOverride</td>\n\
<td>193</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemPreEndOverride</td>\n\
<td>194</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemPostEndOverride</td>\n\
<td>195</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeRenderPropChanged</td>\n\
<td>196</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeRenderPropChanged</td>\n\
<td>197</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeDisplayPropChanged</td>\n\
<td>198</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeDisplayPropChanged</td>\n\
<td>199</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PreNodeBasicPropChanged</td>\n\
<td>200</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PostNodeBasicPropChanged</td>\n\
<td>201</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>NamedSelSetPreModify</td>\n\
<td>202</td>\n\
<td>NamedSelSetPreModify</td>\n\
</tr>\n\
<tr>\n\
<td>NamedSelSetPostModify</td>\n\
<td>203</td>\n\
<td>NamedSelSetPostModify</td>\n\
</tr>\n\
<tr>\n\
<td>SelectionLock</td>\n\
<td>208</td>\n\
<td>selectionLocked</td>\n\
</tr>\n\
<tr>\n\
<td>SelectionUnlock</td>\n\
<td>209</td>\n\
<td>selectionUnlocked</td>\n\
</tr>\n\
<tr>\n\
<td>PreImageViewerDisplay</td>\n\
<td>210</td>\n\
<td>preImageViewerDisplay</td>\n\
</tr>\n\
<tr>\n\
<td>PostImageViewerDisplay</td>\n\
<td>211</td>\n\
<td>postImageViewerDisplay</td>\n\
</tr>\n\
<tr>\n\
<td>ImageViewerUpdate</td>\n\
<td>212</td>\n\
<td>imageViewerUpdate</td>\n\
</tr>\n\
<tr>\n\
<td>CustomAttributesAdded</td>\n\
<td>213</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>CustomAttributesRemoved</td>\n\
<td>214</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>OsThemeChanged</td>\n\
<td>215</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ActiveViewportChanged</td>\n\
<td>216</td>\n\
<td>activeViewportChanged</td>\n\
</tr>\n\
<tr>\n\
<td>PreMaxmainwindowShow</td>\n\
<td>219</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>PostMaxmainwindowShow</td>\n\
<td>220</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>ClassdescAdded</td>\n\
<td>221</td>\n\
<td>ClassDescAdded</td>\n\
</tr>\n\
<tr>\n\
<td>ObjectDefinitionChangeBegin</td>\n\
<td>222</td>\n\
<td>ObjectDefinitionChangeBegin</td>\n\
</tr>\n\
<tr>\n\
<td>ObjectDefinitionChangeEnd</td>\n\
<td>223</td>\n\
<td>ObjectDefinitionChangeEnd</td>\n\
</tr>\n\
<tr>\n\
<td>MtlbaseParamdlgPreOpen</td>\n\
<td>224</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>MtlbaseParamdlgPostClose</td>\n\
<td>225</td>\n\
<td><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr>\n\
<td>AppFrameThemeChanged</td>\n\
<td>227</td>\n\
<td>postAppThemeChange</td>\n\
</tr>\n\
<tr>\n\
<td>CuiMenusPostLoad</td>\n\
<td>245</td>\n\
<td>postLoadingMenus</td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemExecutionStarted</td>\n\
<td>247</td>\n\
<td>actionItemExecutionStarted</td>\n\
</tr>\n\
<tr>\n\
<td>ActionItemExecutionEnded</td>\n\
<td>248</td>\n\
<td>actionItemExecutionEnded</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostMerge2</td>\n\
<td>251</td>\n\
<td>filePostMerge2</td>\n\
</tr>\n\
<tr>\n\
<td>PlaybackStart</td>\n\
<td>255</td>\n\
<td>playbackStart</td>\n\
</tr>\n\
<tr>\n\
<td>PlaybackEnd</td>\n\
<td>256</td>\n\
<td>playbackEnd</td>\n\
</tr>\n\
<tr>\n\
<td>SceneExplorerNeedsUpdate</td>\n\
<td>257</td>\n\
<td>sceneExplorerNeedsUpdate</td>\n\
</tr>\n\
<tr>\n\
<td>filePostOpenProcessFinalized</td>\n\
<td>258</td>\n\
<td>filePostOpenProcessFinalized</td>\n\
</tr>\n\
<tr>\n\
<td>filePostMergeProcessFinalized</td>\n\
<td>259</td>\n\
<td>filePostMergeProcessFinalized</td>\n\
</tr>\n\
<tr>\n\
<td>PreProjectFolderChange</td>\n\
<td>260</td>\n\
<td>preProjectFolderChange</td>\n\
</tr>\n\
<tr>\n\
<td>PostProjectFolderChange</td>\n\
<td>261</td>\n\
<td>postProjectFolderChange</td>\n\
</tr>\n\
<tr>\n\
<td>PreMaxscriptStartupScriptLoad</td>\n\
<td>262</td>\n\
<td>preStartupScriptLoad</td>\n\
</tr>\n\
<tr>\n\
<td>ActiveShadeInViewportToggled</td>\n\
<td>263</td>\n\
<td>activeShadeInViewportToggled</td>\n\
</tr>\n\
<tr>\n\
<td>SystemShutdownCheck</td>\n\
<td>264</td>\n\
<td>systemShutdownCheck</td>\n\
</tr>\n\
<tr>\n\
<td>SystemShutdownCheckFailed</td>\n\
<td>265</td>\n\
<td>systemShutdownCheckFailed</td>\n\
</tr>\n\
<tr>\n\
<td>SystemShutdownCheckPassed</td>\n\
<td>266</td>\n\
<td>systemShutdownCheckPassed</td>\n\
</tr>\n\
<tr>\n\
<td>FilePostMerge3</td>\n\
<td>267</td>\n\
<td>filePostMerge3</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>welcomeScreenDone</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>heightMenuChanged</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preViewPanelDelete</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preViewportTooltip</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preAppThemeChange</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preWorkspaceChange</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>postWorkspaceChange</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preWorkspaceCollectionChange</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>postWorkspaceCollectionChange</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>mouseSettingsChanged</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preSavingCuiToolbars</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>postSavingCuiToolbars</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>appActivated</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>appDeactivated</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>cuiMenusUpdate</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>postRestoreObjsDeleted</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>preSavingMenus</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>postSavingMenus</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>viewportSafeFrameToggle</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>layerParentChanged</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>interactivePluginCreationStarted</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>interactivePluginCreationEnded</td>\n\
</tr>\n\
<tr>\n\
<td><em>not exposed in MaxPlus</em></td>\n\
<td></td>\n\
<td>postNodeSelectOperation</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";