var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_python_extension_libraries_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Python Extension Libraries</h1></div><p>Autodesk 3ds Max ships with a pre-built version of PySide 2.0, and is the preferred library for using QT with Python in 3ds Max (see <a href=\"./creating_python_uis.html\">Creating Python Uis</a>). You may install other CPython extension libraries as well. However, while every effort has been made to ensure that CPython extension libraries such as PyQt, SciPy, NumPy, PIL, and so forth work with Python in 3ds Max, Autodesk does not provide technical support for them.</p>\n\
<h2 id=\"python-3\">Python 3</h2><p>3ds Max includes the standard version of Python 3.  This version&#39;s binaries are compiled with VC15, matching 3ds Max and Max Batch, meaning they are binary compatible and most CPython extension libraries should work &quot;out of the box&quot;.  You simply need to use PIP to install them (see the <a href=\"#Using-pip-with-Python-3\">instructions below</a>).</p>\n\
<h2 id=\"installing-pip-for-package-management\">Installing PIP for package management</h2><p>Pip is a package management system for Python. It is useful for managing additional Python modules, including managing building modules from source (for example, NumPy). For libraries that contain pre-built binaries (such as zmq), these should work without recompilation with Python 3.  You can force pip to build from source with the --no-binary flag, and specifying a required version (see example below).</p>\n\
<h3 id=\"using-pip-with-python-3\">Using pip with Python 3</h3><p>The <code>pip</code> installer script is included with the 3ds Max Python 3 distribution as of 3ds Max 2021.1 Update.  You can install or upgrade it to the most recent version by running <code>.\\python -m ensurepip --upgrade --user</code> from a command prompt.</p>\n\
<p>To install a package, such as Pillow:          \n\
 <code>.\\python.exe -m pip install --user pillow</code>          </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Make sure you are executing the 3ds Max <code>python.exe</code>, and not another version of python on your path.  The <code>-m</code> command-line argument runs pip as a module, and the <code>--user</code> option ensures that the package is installed in your user directory rather than the 3ds Max Python directory.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";