var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_python_support_virtual_env_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Virtual Environments and 3ds Max Python</h1></div><p>3ds Max 2021 and higher supports using virtual environments with Python 3, which allows you to ensure specific Python modules are loaded.  This can be very useful for tools that have version-specific dependencies, and you need them to run in controlled environments.  When a virtual environment is active, the Python interpreter in 3ds Max will search it first for imported modules - it becomes the first path on <code>sys.path</code>.</p>\n\
<p>To set up a virtual environment, you need to create it <em>outside</em> of the 3ds Max application, using the 3ds Max Python interpreter, and then start 3ds Max from the same command prompt.  To start 3ds Max with a virtual environment:</p>\n\
<ol>\n\
<li><p>Open a command prompt.</p>\n\
</li>\n\
<li><p>As of 3ds Max 2022, the <code>venv</code> module is included in the Python distribution.  In versions before 3ds Max 2022, you will need to install <code>virtualenv</code>.  Install the <code>virtualenv</code> module using the 3ds Max Python interpreter:\n\
 <code>C:\\Program Files\\Autodesk\\3ds Max 2021\\Python37\\python.exe -m pip install --user virtualenv</code></p>\n\
<blockquote>\n\
<p><strong>Note</strong> See &quot;Using pip with Python 3&quot; in <a href=\"./../python_extension_libraries.html\">Python extension libraries</a> for instructions on how to install <code>pip</code>.</p>\n\
</blockquote>\n\
</li>\n\
<li><p>Create a new virtual environment (this only needs to be done once):\n\
 <code>C:\\Program Files\\Autodesk\\3ds Max 2021\\Python37\\python.exe -m venv d:\\myenv</code>\n\
 Once the environment has been created, you can install the specific modules you require.</p>\n\
</li>\n\
<li><p>Activate the virtual environment (this needs to be done every time you start 3ds Max):\n\
 <code>d:\\myenv\\Scripts\\activate.bat</code></p>\n\
<blockquote>\n\
<p><strong>Note</strong>: You can deactivate the virtual environment using the <code>deactivate.bat</code> script in the same directory.  You can view the path for any active virtual environment by using <code>where python</code> in the command prompt.</p>\n\
</blockquote>\n\
</li>\n\
<li><p>Start 3ds Max:\n\
 <code>3dsmax.exe</code></p>\n\
<blockquote>\n\
<p><strong>Note</strong>: 3ds Max must be started in the same command prompt that ran <code>activate.bat</code>, as that script affects the local environment variables.</p>\n\
</blockquote>\n\
</li>\n\
</ol>\n\
<p>For more general information about using a virtual environment, see the Python documentation for <a href=\"https://packaging.python.org/guides/installing-using-pip-and-virtual-environments/\" target=\"_blank\">Installing Packages using pip and virtual environments</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../python_support.html\">Python Versions Supported</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";