var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_tutorials_attach_debugger_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/Max-Python-API/scripts/prettify/lang-json.js\"></script>\n\
      <script src=\"/cloudhelp/2022/ENU/Max-Python-API/scripts/prettify/lang-python.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tutorial 6 - Attaching the VSCode debugger to the 3ds Max process</h1></div><p>It is possible with VSCode to debug C++ and Python at the same time.</p>\n\
<p>Here is an overview of how this works:</p>\n\
<h2 id=\"adding-the-proper-extensions-if-not-already-installed-in-vs-code-\">Adding the proper extensions (if not already installed in VS Code)</h2><ul>\n\
<li>The Microsoft Python extension needs to be installed.</li>\n\
<li>The Microsoft C++ extension needs to be added to VSCode (this is free but\n\
is not needed to only debug Python programs)</li>\n\
</ul>\n\
<h2 id=\"adding-debug-configurations\">Adding debug configurations</h2><ul>\n\
<li>The C++ extension supports multiple debug configurations (from </li>\n\
<li><em>Run -&gt; Add Configuration...)*</em>. A good option is the &quot;C/C++ Windows Attach&quot;\n\
configuration that lets us attach the debugger to a running process such as\n\
<code>3dsmax.exe</code>. It is possible to choose the process at runtime (<code>&quot;processId&quot;: &quot;${command:pickProcess}&quot;</code>):</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-json prettyprint\">        {\n\
            &quot;name&quot;: &quot;(Windows) Attach&quot;,\n\
            &quot;type&quot;: &quot;cppvsdbg&quot;,\n\
            &quot;request&quot;: &quot;attach&quot;,\n\
            &quot;processId&quot;: &quot;${command:pickProcess}&quot;\n\
        },</code></pre>\n\
<p>The Python configuration for remote attach is also needed, something like:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-json prettyprint\">        {\n\
            &quot;name&quot;: &quot;Python: Remote Attach&quot;,\n\
            &quot;type&quot;: &quot;python&quot;,\n\
            &quot;request&quot;: &quot;attach&quot;,\n\
            &quot;port&quot;: 5678,\n\
            &quot;host&quot;: &quot;localhost&quot;,\n\
            &quot;pathMappings&quot;: [\n\
                {\n\
                    &quot;localRoot&quot;: &quot;${workspaceFolder}&quot;,\n\
                    &quot;remoteRoot&quot;: &quot;${workspaceFolder}&quot;\n\
                }\n\
            ]\n\
        }</code></pre>\n\
<h2 id=\"starting-the-app-and-enabling-python-debugging\">Starting the app and enabling python debugging</h2><p>For the Python part of the debugger we still need to enable it manually\n\
in our python host by typing this on the listener:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-python prettyprint\">import ptvsd\n\
ptvsd.enable_attach()</code></pre>\n\
<p>For <code>3dsmax.exe</code>, if we want to attach to the process with the debugger, we\n\
need to launch the process manually first, by doing something like <code>3dsmax.exe -python3</code>.</p>\n\
<h2 id=\"attaching-to-the-running-application\">Attaching to the running application</h2><p>The two configurations are independently started in VSCode: multiple debuggers\n\
can run at the same time and they operate pretty much independently (e.g. when\n\
a python breakpoint is hit the C++ part will appear as running).</p>\n\
<p>To attach to the process, first choose the &quot;(Windows) Attach (3dsmax)&quot; item\n\
in the Run and Debug dropdown and then press the green triangle to start it.</p>\n\
<p>To attach to python, first choose the &quot;Python: Remote Attach (3dsmax)&quot; item in\n\
the Run and Debug dropdown and then press the green triangle to start it.</p>\n\
<h2 id=\"debugging\">Debugging</h2><p>From the moment the configurations are attached to the running application\n\
it becomes possible to select them to debug one or the other aspect of the\n\
running application.</p>\n\
<p>At the same moment the application may appear stopped on a python\n\
breakpoint and running (not stopped) in C++.</p>\n\
<h2 id=\"usefulness\">Usefulness</h2><p>This dual mode debugging can be especially useful to debug C++ code that\n\
invokes the python interpreter (or that deals with it in some way). It is a\n\
bit more complicated than only debugging python, and the python part is\n\
the same.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../tutorials.html\">Tutorials</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";