var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_tutorials_automatic_launch_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/Max-Python-API/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tutorial 4 - Automatically launching our tool when max starts</h1></div><p>In this tutorial we demonstrate how to make a package run during the\n\
startup of max.</p>\n\
<h2 id=\"adding-code-3dsmax-startup-code-to-our-package\">Adding <code>3dsMax.startup</code> to our package</h2><p><a href=\"https://setuptools.readthedocs.io/en/latest/setuptools.html#dynamic-discovery-of-services-and-plugins\" target=\"_blank\">Reference</a></p>\n\
<p>Add the following entry to the <em>setup.py</em> file:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">    entry_points={&apos;3dsMax&apos;: &apos;startup=pyramid:startup&apos;},</code></pre>\n\
<p>and rewrite our <em><strong>init</strong>.py</em> as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">name = &quot;pyramid&quot;\n\
import pyramid.ui\n\
def startup():\n\
    &quot;&quot;&quot;Create and show the dialog during 3ds Max startup, provided that\n\
    the pyramid component is present in the pip loading environment at that\n\
    moment.&quot;&quot;&quot;\n\
    dialog = pyramid.ui.PyMaxDialog()\n\
    dialog.show()</code></pre>\n\
<p>To make this work we need to close 3ds Max, add a script to the startup directory, and restart\n\
3ds Max.</p>\n\
<h2 id=\"startup-py\">startup.py</h2><p>For the above code to work we need to have a <em>pystartup.ms</em> file in our \n\
<code>\\&lt;MaxRoot\\&gt;/scripts/Startup</code> directory.  Scripts in this directory are automatically run during the startup of 3ds Max.</p>\n\
<p>This file should contain the following MAXScript code:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">if isProperty python &quot;execute&quot; then (\n\
    python.execute (&quot;def _python_startup():\\n&quot; +\n\
    &quot;    try:\\n&quot; +\n\
    &quot;        import pkg_resources\\n&quot; +\n\
    &quot;    except ImportError:\\n&quot; +\n\
    &quot;        print(&apos;startup Python modules require pip to be installed.&apos;)\\n&quot; +\n\
    &quot;        return\\n&quot; +    \n\
    &quot;    for dist in pkg_resources.working_set: \\n&quot; +\n\
    &quot;        entrypt = pkg_resources.get_entry_info(dist, &apos;3dsMax&apos;, &apos;startup&apos;)\\n&quot; +\n\
    &quot;        if not (entrypt is None):\\n&quot; +\n\
    &quot;            try:\\n&quot; +\n\
    &quot;                fcn = entrypt.load()\\n&quot; +\n\
    &quot;                fcn()\\n&quot; +\n\
    &quot;            except:\\n&quot; +\n\
    &quot;                print(&apos;skipped package startup for {}, startup not working&apos;.format(dist))\\n&quot; +\n\
    &quot;_python_startup()\\n&quot; +\n\
    &quot;del _python_startup&quot;)\n\
)</code></pre>\n\
<p>When you re-start 3ds Max, you should see the pyramid dialog.</p>\n\
<p>The advantage of this approach is that python startup scripts are discovered in the\n\
active python environment, and therefore work well with virtualenv.  We scan the available packages, look for ones that\n\
have the 3dsMax startup entry point, and run this entry point.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../tutorials.html\">Tutorials</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";