var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_tutorials_installing_package_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/Max-Python-API/scripts/prettify/lang-python.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tutorial 5 - Installing our pip package</h1></div><p>In this tutorial we will use <code>venv</code> with 3ds Max.\n\
The venv tool allows us to configure different independent Python execution\n\
environments on our machine, each having its own set of installed pip packages.</p>\n\
<p>The complete documentation for venv can be found <a href=\"https://docs.python.org/3/library/venv.html\" target=\"_blank\">here</a></p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> as of Python 3.6, <code>venv</code> is the preferred virtual environment tool for Python.</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"create-and-activate-a-virtual-environment\">Create and Activate a Virtual Environment</h2><p>The Python embedded with 3ds Max includes the virtualenv tool, and we will be using that.  Open a command prompt in the 3ds Max Python directory (typically something like <code>C:\\Program Files\\Autodesk\\3ds Max 202X\\Python37</code>) and create a virtual environment:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">&lt;maxpath&gt;\\Python37\\python.exe -m venv d:\\myenv</code></pre><p>Then activate it by running:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">d:\\myenv\\Scripts\\activate</code></pre><p>At this point you will see the name of your virtual environment prefixing the command line:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">(myenv) PS D:\\myenv&gt;</code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> It is important to start 3ds Max from this same command prompt that was used to activate the virtual environment, as that command sets up some environment variables that 3ds Max will detect.</div>\n\
<p>Start 3ds Max:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">3dsmax.exe</code></pre><p>From this moment we can use pip to add packages inside the virtual environment, from the virtual environment command line:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">pip install somepackage</code></pre><p>And we are able to import the installed package in 3ds Max:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-python prettyprint\">import somepackage</code></pre>\n\
<h2 id=\"complete-example\">Complete Example</h2><p>Open a command prompt in your virtual environment directory:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">PS D:\\myenv&gt; .\\Scripts\\activate\n\
(myenv) PS D:\\myenv&gt; pip install numpy\n\
Collecting numpy\n\
  Downloading numpy-1.21.0-cp37-cp37m-win_amd64.whl (13.9 MB)\n\
     |&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;&#x2588;| 13.9 MB 3.3 MB/s\n\
Installing collected packages: numpy\n\
Successfully installed numpy-1.21.0\n\
(myenv) PS D:\\myenv&gt; &amp; &apos;C:\\Program Files\\3ds Max 2022\\3dsmax.exe&apos;</code></pre><p>Now inside 3ds Max, you can inspect sys.prefix to see that Python is using the virtual environment:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">&gt;&gt;&gt; import sys\n\
&gt;&gt;&gt; sys.prefix\n\
&apos;D:\\\\myenv&apos;\n\
&gt;&gt;&gt; import numpy</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../tutorials.html\">Tutorials</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";