var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_tutorials_packaging_pyramid_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/Max-Python-API/scripts/prettify/lang-txt.js\"></script>\n\
      <script src=\"/cloudhelp/2022/ENU/Max-Python-API/scripts/prettify/lang-md.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tutorial 3 - Packaging our pyramid module as a pip package</h1></div><p>In this tutorial we create a pip package from the code of the pyramid\n\
tutorial.</p>\n\
<p>The information provided here is similar to the information\n\
provided in the official <a href=\"https://packaging.python.org/tutorials/packaging-projects\" target=\"_blank\">Packaging Python Projects documentation</a>.</p>\n\
<p>Before we start be sure you have completed the steps of <a href=\"creating_the_dialog.html\">the first tutorial</a> and \n\
<a href=\"adding_numpy.html\">the second tutorial</a>.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> if you have re-started 3ds Max after completing Tutorial 1 and 2, you will have to re-import <code>importlib</code> and <code>pyramid</code> for to complete some of the steps in this tutorial.</p>\n\
\n\
</div></div>\n\
\n\
<p>To make a package for pip, we will put package meta-data and the setup script at the top level (under <code>/pyramid</code>), and package contents at the lower level (under <code>/pyramid/pyramid</code>).</p>\n\
<h2 id=\"create-an-strong-init-strong-file\">Create an <strong>init</strong> file</h2><p>First, create an <code>__init__.py</code> file in <em>pyramid/pyramid</em>.</p>\n\
<p>This file should contain:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">name = &quot;pyramid&quot;</code></pre>\n\
<h2 id=\"create-license-and-readme-md-files\">Create LICENSE and README.md files</h2><p>Our <em>pyramid/license</em> file can contain something like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-txt prettyprint\">Copyright (c) 2021 Autodesk, all rights reserved.</code></pre>\n\
<p>And our <em>pyramid/README.md</em> can contain something like this: </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-md prettyprint\"># Pyramid\n\
End to end example for constructing a python component for 3ds Max.\n\
\n\
- uses PySide2 &amp; NumPy\n\
- adds a small dialog to 3ds Max</code></pre>\n\
<h2 id=\"create-a-code-setup-py-code-file\">Create a <code>setup.py</code> file</h2><p>Create a new <em>pyramid/setup.py</em> file with the following contents:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">import setuptools\n\
\n\
with open(&quot;README.md&quot;, &quot;r&quot;) as fh:\n\
    long_description = fh.read()\n\
\n\
setuptools.setup(\n\
    name=&quot;pyramid&quot;,\n\
    version=&quot;0.0.1&quot;,\n\
    author=&quot;Autodesk Dude&quot;,\n\
    author_email=&quot;some.dude@autodesk.com&quot;,\n\
    description=&quot;A sample 3ds Max Python Package&quot;,\n\
    long_description=long_description,\n\
    long_description_content_type=&quot;text/markdown&quot;,\n\
    url=&quot;https://git.autodesk.com/windish/maxpythontutorials&quot;,\n\
    packages=setuptools.find_packages(),\n\
    classifiers=[\n\
        &quot;Programming Language :: Python :: 3&quot;,\n\
        &quot;LICENSE :: OTHER/PROPRIETARY LICENSE&quot;,\n\
        &quot;Operating System :: Microsoft :: Windows&quot;\n\
    ],\n\
    python_requires=&apos;&gt;=3.7&apos;\n\
)</code></pre>\n\
<p>At this point we should have a directory structure that looks like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-txt prettyprint\">pyramid\n\
|  README.md\n\
|  LICENCE\n\
|  setup.py\n\
|\n\
+--pyramid\n\
|  |  __init__.py\n\
|  |  graphics.py\n\
|  |  ui.py\n\
</code></pre>\n\
<h2 id=\"installing-from-a-file-location-for-development-editable-install-\">Installing from a file location for development (editable install)</h2><p>We may or may not want to make our 3ds Max extension public. For this example we will keep it private.\n\
In this scenario we will not upload our extension to the PyPI repository, but\n\
we can still use the convenience of pip to install our package.</p>\n\
<p>Open a command prompt in the directory containing the top level <em>pyramid</em> directory (the top level directory for the project). Assuming that <em>pyramid</em> is in a subdirectory of the current working directory, we can run:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">[path_to_3dsmax_Python]\\python.exe -m pip install --user -e ./pyramid</code></pre><p>If successful, you should see output similar to:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">PS C:\\Users\\avisd\\Documents\\pyramid&gt; &amp; &apos;C:\\Program Files\\Autodesk\\3ds Max 2022\\Python37\\python.exe&apos; -m pip install --user -e .\\pyramid\\\n\
Obtaining file:///C:/Users/username/Documents/pyramid/pyramid\n\
Installing collected packages: pyramid\n\
  Running setup.py develop for pyramid\n\
Successfully installed pyramid</code></pre><p>This will install pyramid in such a way that it can be still edited locally\n\
but imported (and reloaded) without having to edit the system path (as we did\n\
in tutorial 1).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">import sys\n\
sys.path.append(&quot;d:\\\\sources\\\\hacking\\\\python\\\\pyramid&quot;)</code></pre>\n\
<p>We can now make an edit to our project and use <code>importlib.reload()</code> to reload it.</p>\n\
<p>So for example, we could change a line in <em>ui.py</em> from:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">        self.setWindowTitle(&apos;Pyside2 Qt Window&apos;)</code></pre>\n\
<p>to: </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">        self.setWindowTitle(&apos;Pyramid&apos;)</code></pre>\n\
<p>And then, in the 3ds Max Listener:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">importlib.reload(pyramid.ui)\n\
# or alternately\n\
# import(pyramid.ui)</code></pre>\n\
<p>And then:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">dialog = pyramid.ui.PyMaxDialog()\n\
dialog.show()</code></pre>\n\
<p>We should now see our renamed version:</p>\n\
<p><img src=\"./images/tutorials/Renamed.png\" alt=\"Renamed\"></p>\n\
<h2 id=\"installing-from-a-file-location-not-editable-\">Installing from a file location (not editable)</h2><p>Assuming that pyramid is in a subdirectory of the current working directory, we can run:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">[path_to_3dsmax_Python]\\python.exe -m pip install --user ./pyramid</code></pre><p>The package installed this way will not be editable, meaning if we modify the working\n\
version, the installed version will not be affected unless it is re-installed.</p>\n\
<h2 id=\"other-installations\">Other installations</h2><p>Pip is normally intended for network base installation from PyPI.\n\
This scenario is detailed in the <a href=\"http://packaging.python.org/tutorials/packaging-projects\" target=\"_blank\">official python documentation</a>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../tutorials.html\">Tutorials</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";