var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_animation_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Animation</h1></div><p>MAXScript / pymxs expose several functions for working with animations in 3ds Max.</p>\n\
<h2 id=\"getting-and-setting-the-frame-range\">Getting and Setting the Frame Range</h2><p>The animation range is held in the <code>animationRange</code> global, which holds an Interval value. Intervals represent a range of time.  So for example to get the frame range and change it:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; pymxs.runtime.animationRange\n\
&lt;Interval&lt;(interval 0f 100f)&gt;&gt;\n\
&gt;&gt;&gt; pymxs.runtime.animationRange = pymxs.runtime.interval(0,200)</code></pre>\n\
<h2 id=\"setting-animation-keys\">Setting Animation Keys</h2><p>Animation keys can be set using the pymxs version of the MAXScript <code>at time</code> context expression, <code>pymxs.attime()</code>.  Note that <code>pymxs.animate()</code> must be set to True first if you are setting keys.  If you simply want to inspect values at a specific key frame, you do not need to set <code>pymxs.animate()</code>.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> The <code>pymxs.attime()</code> context expression takes a time value, which can be expressed as ticks, (4800 per second), frames, hour/minute/second, or normalized time.  See the <em>Time Values</em> topic in the <em>MAXScript Help</em> for more information.   For more information on context expressions in general, see the <em>Context Expressions</em> topics in the <em>MAXScript Help</em>.  </p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">rt = pymxs.runtime\n\
\n\
t = rt.teapot()\n\
\n\
with pymxs.animate(True):\n\
    # go to frame 0\n\
    with pymxs.attime(0):\n\
        t.pos = rt.point3(0,0,0)\n\
    # go to frame 100\n\
    with pymxs.attime(100):\n\
        t.pos = rt.point3(0,10,100)</code></pre>\n\
<h2 id=\"playing-back-the-animation\">Playing Back the Animation</h2><p><code>pymxs</code> provide two functions for controlling animation: <code>playAnimation()</code> and <code>stopAnimation()</code>.  You can query whether animation is playing with <code>isAnimPlaying()</code>.  For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; pymxs.runtime.playAnimation(immediateReturn=True)\n\
&gt;&gt;&gt; pymxs.runtime.isAnimPlaying()\n\
True\n\
&gt;&gt;&gt; pymxs.runtime.stopAnimation()\n\
True</code></pre>\n\
<p>To set the playback speed, use the <code>timeConfiguration.playbackSpeed</code> setting.  For example, to set the playback speed to 2x:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">pymxs.runtime.timeConfiguration.playbackSpeed = 4</code></pre>\n\
<p>To get the current time on the time slider, use the <code>currentTime</code> global:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\"># get the current time as a time value:\n\
&gt;&gt;&gt; rt.currentTime\n\
&lt;Time&lt;13f&gt;&gt;\n\
# get the current time as a frame:\n\
&gt;&gt;&gt; rt.currentTime.frame\n\
13.0</code></pre><p>All of the settings on the <strong>Time Configuration</strong> dialog are exposed to pymxs/MAXScript.  See the &quot;Time Configuration Dialog&quot; topic in the <em>MAXScript Help</em> for more information.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";