var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_custattributes_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating Custom Attributes with pymxs</h1></div><p>You can access existing custom attributes in pymxs using the MAXScript <code>custAttributes</code> struct.  However, you cannot define and create custom attributes natively using pymxs.  You can do so by defining custom attributes in a string of MAXScript code, and then executing it using pymxs.runtime.execute().</p>\n\
<p>This example defines a custom attribute on a teapot, later setting its value:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">import pymxs\n\
mxs=pymxs.runtime\n\
\n\
mxs.resetMaxFile(mxs.Name(&apos;noPrompt&apos;))\n\
\n\
# set up a custom attribute on the teapot\n\
# this is just a string of MAXScript\n\
\n\
testCAcmd=&apos;&apos;&apos;attributes &quot;TestCustAttrib&quot;\n\
(\n\
    parameters main rollout:params\n\
    (\n\
        param1 type:#float ui:spinParam1 default:10 animateable:True\n\
    )\n\
\n\
    rollout params &quot;Test Parameters&quot;\n\
    (\n\
        spinner spinParam1 &quot;Param1&quot; type:#float\n\
    )\n\
)&apos;&apos;&apos;\n\
\n\
attr = mxs.execute(testCAcmd)\n\
\n\
# we can now add the custom attribute to scene objects\n\
t = mxs.teapot()\n\
mxs.custAttributes.add(t.baseObject, attr)\n\
\n\
# and set values on it\n\
t.TestCustAttrib.param1 = 21</code></pre>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";