var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_differences_pymxs_gizmos_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing Gizmos</h1></div><p>Accessing the gizmo of a modifier (for those modifiers that have a gizmo) can be tricky.  Consider this code:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">my_mod = rt.UVWMap()\n\
rt.addModifier(my_teapot, my_mod)\n\
my_mod.gizmo.position = rt.Point3(20,20,20)</code></pre>\n\
<p>Although this works in MAXScript, in Python it produces the error:\n\
<code>AttributeError: &apos;pymxs.MXSWrapperBase&apos; object has no attribute &apos;gizmo&apos;</code>.</p>\n\
<p>The reason is that the Python script does not force a scene graph evaluation the way that MAXScript does, so the gizmo is not created on the node by the time the script tries to access it.  These situations can be worked around by forcing a viewport redraw, as in the following modified script:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">from pymxs import runtime as rt\n\
\n\
my_teapot = rt.teapot()\n\
rt.convertTo(my_teapot, rt.editable_poly)\n\
my_mod = rt.UVWMap()\n\
rt.addModifier(my_teapot, my_mod)\n\
rt.redrawViews() # needed to make the gizmo available\n\
my_mod.gizmo.position = rt.Point3(20,20,20)\n\
print(my_mod.gizmo.position)</code></pre>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../pymxs_differences.html\">Differences Between pymxs and MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";