var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_differences_pymxs_mxs_coercion_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Coercing MAXScript Values</h1></div><p>Although pymxs supports conversion between many Python and MAXScript types, and most &quot;non-Pythonic&quot; constructs (such as passing arguments by reference), you may find some MAXScript commands are simply impossible to replicate in Python.  For example, using the &quot;as&quot; coercion syntax.  In MAXScript you can do something like this:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">selectedFaces = getFaceSelection selection[1] -- returns BitArray value\n\
myArray = selectedFaces as Array</code></pre><p>In Python this is not possible.  Instead, we can create a function in MAXScript that does this coercion internally and returns the result.  Global functions will be visible to the MAXScript system for the lifetime of the 3ds Max instance.  You can do this in a separate MAXScript script, or within your Python script using <code>pymxs.runtime.execute()</code>, for example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">pymxs.runtime.execute(&quot;fn b2a b = (return b as Array)&quot;)\n\
rt.b2a(selectedFaces)</code></pre>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../pymxs_differences.html\">Differences Between pymxs and MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";