var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_differences_pymxs_registering_callbacks_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Registering Python Callbacks</h1></div><p>Some MAXScript callback registration functions can take a Python function as the callback argument.  These include <code>registerTimeCallback()</code>, <code>registerRedrawViewsCallback()</code>, and <code>nodeEventCallback()</code>.  Others take a string rather than a function as an argument, and thus cannot take a Python function.  These functions include <code>DialogMonitorOPS.RegisterNofication()</code> and <code>callbacks.addScript()</code>.  </p>\n\
<p>One work-around is to assign the Python function to a variable in <code>pymxs.runtime</code>.  Here is a simple example to illustrate the idea:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">import pymxs\n\
rt = pymxs.runtime\n\
\n\
def myCallback():\n\
    print &quot;Callback fired!&quot;\n\
\n\
# connect to the MXS runtime\n\
rt.pyCallback = myCallback\n\
\n\
# register ourselves as a callback\n\
# note that the pyCallback() is in fact a maxscript call\n\
rt.callbacks.addScript(rt.Name(&apos;nodeCreated&apos;), &apos;pyCallback()&apos;)</code></pre>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../pymxs_differences.html\">Differences Between pymxs and MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";