var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_filepaths_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with System Directories</h1></div><p>3ds Max has many system directories defined where it reads and writes data from the filesystem.  These directories are defined in the 3ds Max UI under <strong>Customize &gt; Configure User and System Paths</strong>, but can also be accessed from pymxs.</p>\n\
<p>System directories can be accessed in two ways: a filetype name, which is a MAXScript name value, such as <code>#maxSysIcons</code>, and a symbolic pathname string, which a convenient way to build file paths for functions like <code>filein()</code>.  Symbolic pathnames are managed with functions in the <code>symbolicPaths</code> struct.</p>\n\
<p>For example, to list all the symbolic pathnames and their values:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">from pymxs import runtime as rt \n\
\n\
for i in range (1, rt.symbolicPaths.numPaths() + 1):\n\
    symbolic_path = rt.symbolicPaths.getPathName(i)\n\
    symbolic_value = rt.symbolicPaths.getPathValue(i)\n\
    print(&apos;symbolic name: {} \\t  value: {}&apos;.format(symbolic_path, symbolic_value))\n\
\n\
# We can also query System Directory names:\n\
sys_icon_path = rt.pathConfig.getDir(rt.name(&apos;maxSysIcons&apos;))\n\
print(&apos;system icons: {}&apos;.format(sys_icon_path))</code></pre>\n\
<p>The &quot;3ds Max System Directories&quot; topic group in the <em>MAXScript Help</em> contains more information, such as a list of all symbolic pathnames and file types, as well as other useful collections of path definitions such as <code>mapPaths</code>, <code>xrefPaths</code>, and additional path-related functions contained in <code>pathConfig</code>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";