var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_files_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working With Scene Files</h1></div><p>MAXScript,and therefore pymxs, provides many methods for working with scene files, such as loading, saving, merging and archiving, as well as obtaining the current file path and name.</p>\n\
<p>For example, to save the current scene file, and then query the file name and path:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; pymxs.runtime.saveMaxFile(&apos;myMaxFile.max&apos;)\n\
True\n\
&gt;&gt;&gt; pymxs.runtime.maxFileName\n\
u&apos;myMaxFile.max&apos;\n\
&gt;&gt;&gt; pymxs.runtime.maxFilePath\n\
u&apos;D:\\\\My Documents\\\\3dsMax\\\\scenes\\\\&apos;</code></pre>\n\
<blockquote>\n\
<p><strong>Note</strong>: The default scene file path is determined by the Project Paths setting, which can be accessed from the <code>pathConfig</code> struct.  </p>\n\
</blockquote>\n\
<p>Similarly, to load an existing scene file:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; pymxs.runtime.checkForSave()\n\
True\n\
&gt;&gt;&gt; pymxs.runtime.loadMaxFile(&apos;my_scene.max&apos;)\n\
True</code></pre>\n\
<blockquote>\n\
<p><strong>Note</strong>: By default, loadMaxFile() replaces the current scene without warning, which is why we call <code>checkForSave()</code> first.  This method will display the file save dialog if the current scene is modified and needs to be saved.</p>\n\
</blockquote>\n\
<p>For more information about pymxs methods for working with scene files, see the &quot;3ds Max File Loading and Saving&quot; topic in the <em>MAXScript Help</em>.</p>\n\
<h2 id=\"external-file-access\">External File Access</h2><p>Although MAXScript provides many functions for accessing external (non-scene) files, using the native Python file access methods is preferable in most cases.  For example, you can use <code>pymxs.runtime.openFile()</code> to open a file, and use the returned fileStream object to read the contents, but Python&apos;s <code>open()</code> is more &apos;Pythonic&apos;.  </p>\n\
<p>For more information about pymxs functions for working with external files, see the &quot;External File Access&quot; group of topics in the <em>MAXScript Help</em>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";