var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_inspection_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Performing Inspection of Classes and Objects in pymxs</h1></div><p>There are several functions you can use to inspect objects and classes in pymxs.  This topic discusses the most commonly used functions, but there are many more.  See the MAXScript Help topic &apos;Class and Object Inspector Functions&apos;, and &apos;showInterfaces Inspector Function&apos; for more detailed information.</p>\n\
<h2 id=\"-code-apropos-code-\"><code>apropos()</code></h2><p>This function searches and prints out information about global variables by name pattern and class of contents.  Globals include things like classes, structs (such as polyop, which contains functions for working with EditablePoly objects), and functions. The <code>apropos()</code> function takes three parameters:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">pymxs.runtime.apropos(pattern_string, [implicitWild=true|false], [to=pymxs_stream])</code></pre>\n\
<ul>\n\
<li><em>pattern_string</em> is a string used to match the names of globals.</li>\n\
<li><em>implicitWild</em> is optional, and specifies whether there is an implicit wildcard character at the beginning and end of the pattern string.  The default is true.</li>\n\
<li><em>to</em> specifies an optional stream to send output to.</li>\n\
</ul>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p><strong></strong> Functions that would send output to the listener when executed in MAXScript do not do so in pymxs.  For this reason the optional <em>to</em> parameter is actually required in order to obtain useful information from this function.</p>\n\
\n\
</div></div>\n\
\n\
<p>For example, to get all the globals that contain the string &apos;plane&apos;:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">res=pymxs.runtime.stringStream(&apos;&apos;)\n\
pymxs.runtime.apropos(&apos;plane&apos;,to=res)\n\
print(res)</code></pre>\n\
<p>Which produces this output:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">StringStream:&apos;PxUpdateGroundPlane (MAXScriptFunction): PxUpdateGroundPlane()\n\
gw.dualPlane (&lt;internal&gt;): SystemGlobal:dualPlane\n\
meshOps.startSlicePlane (Primitive): startSlicePlane()\n\
Planet (const MAXClass): Planet\n\
meshop.moveVertsToPlane (Primitive): moveVertsToPlane()\n\
PFPlaneMeshWrapper (const MAXClass): PFPlaneMeshWrapper\n\
g_thePlane (UndefinedClass): undefined\n\
Plane_Angle (const MAXClass): Plane_Angle\n\
PlaneAngleManip (const MAXClass): Plane_Angle\n\
polyOps.resetPlane (Primitive): resetPlane()\n\
polyOps.startSlicePlane (Primitive): startSlicePlane()\n\
Plane (const MAXClass): Plane\n\
skinOps.gizmoResetRotationPlane (Primitive): gizmoResetRotationPlane()\n\
SectionPlane (const UndefinedClass): undefined\n\
polyop.moveFacesToPlane (Primitive): moveFacesToPlane()\n\
polyop.resetSlicePlane (Primitive): resetSlicePlane()\n\
polyop.getSlicePlane (Primitive): getSlicePlane()\n\
polyop.setSlicePlane (Primitive): setSlicePlane()\n\
polyop.inSlicePlaneMode (Primitive): inSlicePlaneMode()\n\
polyop.moveEdgesToPlane (Primitive): moveEdgesToPlane()\n\
polyop.moveVertsToPlane (Primitive): moveVertsToPlane()</code></pre><p>To refine this search to only those globals beginning with &apos;plane&apos;, we can turn off implicit wildcards, and supply one only at the end of the string:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">res=pymxs.runtime.stringStream(&apos;&apos;)\n\
pymxs.runtime.apropos(&apos;plane*&apos;, implicitWild=false, to=res)\n\
print(res)</code></pre>\n\
<p>Which produces a much shorter output:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">Planet (const MAXClass): Planet\n\
Plane_Angle (const MAXClass): Plane_Angle\n\
PlaneAngleManip (const MAXClass): Plane_Angle\n\
Plane (const MAXClass): Plane</code></pre><h2 id=\"-code-showclass-code-and-code-showproperties-code-\"><code>showClass()</code> and <code>showProperties()</code></h2><p>The <code>showClass()</code> and <code>showProperties()</code> functions are useful for inspecting specific pymxs classes and their properties.  The <code>showClass()</code> function takes a string, while <code>showProperties()</code> takes an object.  The <code>showProperties()</code> function has the advantage that it can show dynamic properties that might have been created on the object after it was created.</p>\n\
<p>The <code>showClass()</code> function has the following form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">pymxs.runtime.showClass(pattern_string, [to=pymxs_stream])</code></pre>\n\
<ul>\n\
<li><em>pattern_string</em> is a string to match against class names.  By default this is an exact match, so &apos;box&apos; will only match the <code>Box</code> class.  You can add wildcards to expand the match.  For example, &apos;box*&apos; will also match <code>BoxGizmo</code> and <code>Box_2_Global_Utility</code>.</li>\n\
<li><em>to</em> is an optional output stream, though in the pymxs context it is the only way to get useful output from this function.</li>\n\
</ul>\n\
<p>The placement of wildcards in the pattern string affects the results found:</p>\n\
<ul>\n\
<li>&apos;path*&apos; -- all 3ds Max classes starting  with &apos;path&apos;</li>\n\
<li>&apos;noise.*&apos; -- all the accessible properties on the Noise texture map</li>\n\
<li>&apos;<em>:mod</em>&apos; -- all the modifier classes</li>\n\
<li>&apos;<em>.</em>rad*&apos; -- all the classes with a property name containing &apos;rad&apos;</li>\n\
<li>&apos;<em>:</em>controller*&apos; -- all the classes that have &apos;controller&apos; in their superclass name</li>\n\
</ul>\n\
<p>For example, to get the classID and properties of the Sphere class:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">res = pymxs.runtime.stringStream(&apos;&apos;)\n\
pymxs.runtime.showClass(&apos;sphere.*&apos;, to=res)\n\
print(res)</code></pre>\n\
<p>Which results in:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">Sphere : GeometryClass {11,0}\n\
  .typeinCreationMethod (Creation_Method) : integer\n\
  .typeInPos (Type_in_Position) : point3\n\
  .typeInRadius (Radius) : float\n\
  .radius : worldUnits\n\
  .segs (Segments) : integer\n\
  .smooth : boolean\n\
  .hemisphere : float\n\
  .chop (Squash) : integer\n\
  .recenter : boolean\n\
  .mapCoords (Generate_Texture_Coords) : boolean\n\
  .slice (Slice_On/sliceon) : boolean\n\
  .sliceFrom (Slice_From) : angle\n\
  .sliceTo (Slice_To) : angle</code></pre><p>The <code>showProperties()</code> function displays the properties of an object that is a specific instance of a class.  It has the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">pymxs.runtime.showProperties(pymxs_object, [pattern_string], [to=pymxs_stream])</code></pre>\n\
<ul>\n\
<li><em>pymxs_object</em> is an object that derives from the MAXWrapper class</li>\n\
<li><em>pattern_string</em> is an optional wildcard pattern to apply to properties to be inspected</li>\n\
<li><em>to</em> is an optional output stream, though in the pymxs context it is the only way to get useful output from this function.</li>\n\
</ul>\n\
<p>For example, to get all the properties for a sphere object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">s = pymxs.runtime.sphere()\n\
res = pymxs.runtime.stringStream(&apos;&apos;)\n\
pymxs.runtime.showProperties(s, to=res)\n\
print(res)</code></pre>\n\
<p>After which the result stream <code>res</code> contains:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\">  .typeinCreationMethod (Creation_Method) : integer\n\
  .typeInPos (Type_in_Position) : point3\n\
  .typeInRadius (Radius) : float\n\
  .radius : worldUnits\n\
  .segs (Segments) : integer\n\
  .smooth : boolean\n\
  .hemisphere : float\n\
  .chop (Squash) : integer\n\
  .recenter : boolean\n\
  .mapCoords (Generate_Texture_Coords) : boolean\n\
  .slice (Slice_On/sliceon) : boolean\n\
  .sliceFrom (Slice_From) : angle\n\
  .sliceTo (Slice_To) : angle\n\
  .realWorldMapSize : boolean</code></pre><h2 id=\"-code-showinterfaces-code-\"><code>showInterfaces()</code></h2><p>In pymxs, the methods that an object can use are contained in one or more interfaces associated with that object&apos;s class.  The <code>showInterfaces()</code> function can be used to inspect those interfaces and the methods they contain.  The <code>showIntefaces()</code> function has the form:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">showInterfaces(pymxs_object, [to=pymxs_stream])</code></pre>\n\
<ul>\n\
<li><em>pymxs_object</em> is the 3ds Max object, class or node to be inspected</li>\n\
<li><em>to</em> is an optional output stream, though in the pymxs context it is the only way to get useful output from this function.</li>\n\
</ul>\n\
<p>For example to view all the interfaces and associated methods on an Editable_Poly object:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">t = pymxs.runtime.teapot()\n\
pymxs.runtime.convertTo(t, pymxs.runtime.editable_Poly)\n\
res = pymxs.runtime.stringStream(&apos;&apos;)\n\
pymxs.runtime.showInterfaces(t, to=res)\n\
print(res)</code></pre>\n\
<p>The <code>res</code> stringStream will contain a large number of methods, as the EditablePoly interface exposes a lot of functionality:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"prettyprint\"> Interface: EditablePoly\n\
   Properties:\n\
    .edgeChamferType : enum : Read|Write\n\
       edgeChamferType enums: {#Standard|#Quad}\n\
    .edgeChamferQuadIntersections : boolean : Read|Write\n\
   Methods:\n\
    &lt;bool&gt;Hide &lt;enum&gt;mnSelLevel flags:&lt;DWORD&gt;\n\
       mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
       flags default value: 1\n\
    &lt;bool&gt;unhideAll &lt;enum&gt;mnSelLevel\n\
       mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
    &lt;void&gt;namedSelCopy &lt;string&gt;Name\n\
\n\
    ... etc</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";