var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_macroscripts_menus_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Working with Macroscripts and Menus</h1></div><p>You can work with 3ds Max menus using these interfaces:</p>\n\
<ul>\n\
<li><code>menuMan</code> </li>\n\
<li><code>menuItem</code></li>\n\
<li><code>quadMenu</code></li>\n\
</ul>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p><strong></strong> Be very careful when using or testing the <code>menuMan</code> API. It makes permanent changes to the menu database, and it is very easy to corrupt the menus. For example, if you &quot;unRegister&quot; the main menu bar, 3ds Max won&apos;t start.  Before using this API, make a copy of the &quot;..\\UI\\MaxStartUI.mnu&quot; file so you can easily restore it if any problems arise. </p>\n\
\n\
</div></div>\n\
\n\
<p>A menu item is typically associated with a MacroScript, which is executed when that menu item is pressed.  In the following example we create a Python function, connect it to a pymxs runtime global variable, and then define a macroscript using <code>macros.new()</code>.  In this case, we simply invoke our Python function.</p>\n\
<p>Next, we find the <strong>Help</strong> menu using menuMan.find(), create a new menuitem that invokes our macroscript, and add it to the Help menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">from pymxs import runtime as rt\n\
\n\
# Our Py function:\n\
def myfunc():\n\
    print(&apos;hello world&apos;)\n\
\n\
# Connect to a gobal in the runtime:\n\
rt.mxs_hello = myfunc\n\
\n\
macroscript_name = &apos;My_Macroscript&apos;\n\
macroscript_category = &apos;Test&apos;\n\
macroscript_tooltip = &apos;This is a tooltip&apos;\n\
# this sets the text used for any menus or ui controls\n\
# associated with this macroscript\n\
macroscript_text = &apos;My Macroscript&apos;\n\
# this is a MAXSCript:\n\
macroscript_content = &apos;mxs_hello()&apos; \n\
\n\
macro_id = rt.macros.new(macroscript_category, macroscript_name, macroscript_tooltip, macroscript_button, macroscript_content)\n\
\n\
# Now we can create a menu item for this script\n\
help_menu = rt.menuMan.findMenu(&apos;&amp;Help&apos;)\n\
menu_item = rt.menuMan.createActionItem(macroscript_name, macroscript_category)\n\
help_menu.addItem(menu_item, -1)\n\
rt.menuMan.updateMenuBar()\n\
\n\
# this can be removed by:\n\
# help_menu.removeItem(menu_item)</code></pre>\n\
<p>For more information, see the following topics in the <em>MAXScript Help</em>:</p>\n\
<ul>\n\
<li>&quot;Menu Manager&quot;</li>\n\
<li>&quot;Menu and CUI Loading&quot;</li>\n\
<li>&quot;Interface: menuMan&quot;</li>\n\
<li>&quot;Macro Scripts&quot;</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";