var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_materials_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating and Assigning Materials</h1></div><p>The Material class represents the materials you can assign to objects in 3ds Max.  Classes derived directly from <code>Material</code> are Material Types, such as (but not limited to) <code>Standard</code>, <code>Physical</code>, and <code>MultiMaterial</code>.  The classes derived from these are materials you can create and use in 3ds Max scenes.  </p>\n\
<p>Creating a material in pymxs invovles calling its constructor.  For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; t = pymxs.runtime.teapot()\n\
&gt;&gt;&gt; m = pymxs.runtime.standardMaterial()\n\
&gt;&gt;&gt; t.material=m</code></pre>\n\
<p>Once a material is created, you can set its properties.  For example:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; m.diffuse = pymxs.runtime.color(10,10,10)\n\
&gt;&gt;&gt; m.specular = pymxs.runtime.color(255,255,255)</code></pre>\n\
<p>For a complete example of creating and applying a material with pymxs, see *<max_dir>\\scripts\\PythonSamples\\Python3\\pymxs\\materials.py*.</max_dir></p>\n\
<h2 id=\"working-with-the-material-editor\">Working with the Material Editor</h2><p>There are several interfaces that expose features in the legacy/compact editor and the Slate Material Editor.  The <code>MatEditor</code> interface provides general methods for getting and setting the editor mode, and opening and closing the editor window, and works with both the compact editor and the Slate Material Editor.  The <code>SME</code> interface has methods for working with the Slate Material Editor, while the <code>medit</code> interface works on the compact/legacy editor.</p>\n\
<p>For example, to set the first slot in the compact material editor to a new Physical Material, and then open it:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; pymxs.runtime.MatEditor.mode = pymxs.runtime.name(&apos;basic&apos;)\n\
&gt;&gt;&gt; mat = pymxs.runtime.PhysicalMaterial()\n\
&gt;&gt;&gt; pymxs.runtime.setMeditMaterial(1, mat)\n\
&gt;&gt;&gt; pymxs.runtime.MatEditor.open()\n\
True</code></pre>\n\
<p>Note that the first index for the material editor is 1 (not 0) because the method arguments get passed to MAXScript.  If you are accessing the array of materials directly through pymxs, it is 0-based:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">&gt;&gt;&gt; pymxs.runtime.meditMaterials[0]\n\
&lt;PhysicalMaterial&lt;PhysicalMaterial:Physical_Material&gt;&gt;</code></pre>\n\
<!--\n\
The *\\\\<max_dir>\\\\scripts\\\\Python\\\\demoMaterials.py* sample illustrates creating an instance of every avaiable material, applying it to an object, and adding it to the compact Material Editor.\n\
-->\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";