var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>3ds Max Python API Help</title>\n\
    <meta name=\"topicid\" content=\"Max_Python_API_using_pymxs_pymxs_registering_callbacks_html\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/Max-Python-API/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Registering Python Callbacks</h1></div><p>Some MAXScript callback registration functions can take a Python function as the callback argument.  These include <code>registerTimeCallback()</code>, <code>registerRedrawViewsCallback()</code>, <code>nodeEventCallback()</code>, and <code>callbacks.addScript()</code> (as of <strong>3ds Max 2021</strong>).  The exception is  <code>DialogMonitorOPS.RegisterNofication()</code>, which takes a string argument, and thus cannot take a Python function.  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p><strong></strong> The <a href=\"./../notification_codes.html\">Notification Codes</a> topic lists available event codes for both MaxPlus and pymxs, and is useful for migrating scripts from MaxPlus to pymxs.</p>\n\
\n\
</div></div>\n\
\n\
<p>For example, you can use the general callback system to create a callback that fires when nodes are created:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-py prettyprint\">import pymxs\n\
rt = pymxs.runtime\n\
\n\
# remove any previous callbacks:\n\
rt.callbacks.removeScripts(id=rt.name(&apos;MyCallbacks&apos;))\n\
\n\
# function to print the notification param, which in the case of NodeCreated, is the node\n\
def myCallback():\n\
    print (&apos;Callback fired!&apos;)\n\
    notification = rt.callbacks.notificationParam()\n\
    print (notification)\n\
\n\
rt.callbacks.addScript(rt.Name(&apos;nodeCreated&apos;), myCallback, id=rt.Name(&apos;MyCallbacks&apos;))\n\
# Will print something like this:\n\
# Callback fired!\n\
# $Sphere:Sphere005 @ [0.000000,0.000000,0.000000]\n\
\n\
print(rt.callbacks.show(id=rt.Name(&apos;MyCallbacks&apos;), asArray=True))\n\
\n\
# Prints something like:\n\
# #(#(#nodeCreated, #myCallbacks, false, false, &quot;&lt;function myCallback at 0x0000021020609828&gt;()&quot;))\n\
\n\
</code></pre>\n\
<p>We need to use the <code>asArray=True</code> parameter for <code>callbacks.show()</code>, because normally this function tries to output to <code>stdout</code> (the listener), which is disabled in Python for this call.  You could also use the <code>to:stringStream</code> parameter to capture the output.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p><strong></strong> Even though the <code>id</code> parameter is optional for <code>addScript()</code>, it is a best practice to always provide one, to make it easier to find and remove callbacks later.  In this example we can use it to &quot;clean up&quot; before running the script.</p>\n\
\n\
</div></div>\n\
\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../using_pymxs.html\">Using pymxs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";